.geo-filter {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    z-index: 9999;
    position: fixed;
    overflow-y: auto;
    visibility: hidden;
    background: rgba(0,0,0,.6);
    transition: .3s;

    &.open {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    &__container {
        height: 100%;
        margin: 0 auto;
        padding: 0 20px;
        max-width: 1260px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__wrap {
        width: 100%;
        height: calc(100% - 60px);
        min-height: 560px;
    }

    &__header {
        padding: 0 30px;
        background: #fff;
        border-radius: 8px 8px 0 0;
        border-bottom: 1px solid #efefef;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__close {
        width: 40px;
        height: 40px;
        display: block;
        cursor: pointer;
        position: relative;
        margin-right: -10px;

        &::after,
        &::before {
            top: 50%;
            left: 50%;
            content: '';
            width: 24px;
            height: 2px;
            display: block;
            position: absolute;
            background: #202C2C;
            margin: -1px 0 0 -12px;
        }

        &::after {
            @include rotate(45deg);
        }
        
        &::before {
            @include rotate(-45deg);
        }
    }

    &__nav {
        display: flex;
        font-size: font-size-rel(14px);
        line-height: font-size-rel(20px);
        align-items: center;

        a {
            height: 60px;
            display: block;
            padding: 20px 0;
            color: #202C2C;
            position: relative;
            margin-right: 30px;
            text-decoration: none;

            &.selected {

                ::before {
                    top: 18px;
                    right: -10px;
                    width: 6px;
                    height: 6px;
                    content: "";
                    position: absolute;
                    border-radius: 50%;
                    background: #FFC05A;
                    display: inline-block;
                }
    
            }

            &:hover {
                color: $color-blue; 
                text-decoration: none;
            }

            &.active {
                color: $color-blue; 
            }
        }
    }

    &__body {
        height: auto;
        display: none;
        overflow: hidden;
        background: #fff;
        position: relative;
        max-height: calc(100% - 60px);
        border-radius: 0 0 8px 8px;

        &.active {
            display: block;
        }

        &--metro {
            height: calc(100% - 60px);
        } 
    }

    &__main {
        display: flex;
        overflow: hidden;
        min-height: 510px;
        flex-direction: column;
        justify-content: space-between;
        max-height: calc(100vh - 120px);

        &--metro {
            height: calc(100vh - 120px);
        }
    }

    &__content {
        padding: 0 30px;
        overflow-y: auto;

        &--wrap {
            padding-top: 20px;
        }
    }

    &__selected {
        margin-bottom: 15px;
    }

    &__list {
        margin: 0;
        padding: 0;
        list-style: none;
        display: flex;
        flex-wrap: wrap;

        li {
            width: 33.33%;
            padding: 10px 0;
        }
    }

    &__divider {
        padding-top: 15px;
        margin-bottom: 25px;
        border-bottom: 1px solid #efefef;
    }

    &__footer {
        padding: 20px;
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }

    
	@media (min-width: $screen-lg-min) {
        display: block;
    }
}

.checkbox {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    position: relative;
    display: inline-block;

    input {
        top: 0;
        left: 0;
        width: 1px;
        height: 1px;
        opacity: 0;
        overflow: hidden;
        visibility: hidden;
        position: absolute;
    }

    span {
        color: #222D2F;
        font-size: font-size-rel(16px);
        line-height: font-size-rel(20px);
        position: relative;
        padding-left: 30px;
        display: inline-block;

        &:after,
        &::before {
            top: 0;
            left: 0;
            z-index: 10;
            content: '';
            width: 20px;
            height: 20px;
            font-size: 0;
            line-height: 0;
            border-radius: 4px;
            position: absolute;
            display: inline-block;
        }

        &::before {
            opacity: 1;
            visibility: visible;
            background: #F0F0F5;
        }

        &:after {
            opacity: 0;
            visibility: hidden;
            background: $color-blue url('../img/icon__checkbox.svg') 50% 50% no-repeat;
        }
    }

    input:checked + span {

        &::before {
            opacity: 0;
            visibility: hidden;
        }

        &::after {
            opacity: 1;
            visibility: visible;
        }
    }
}

.geo-filter-selection {
	padding: 15px;
    font-size: font-size-rel(17px);
    line-height: font-size-rel(20px);
	color: $color-base;
	white-space: nowrap ;
	background: #F0F2F7;
	border-radius: 25px;
    display: flex;
    margin-right: 25px;
	align-items: center;

	span {
		display: inline-block;
    }

    b {
        font-weight: 400;
    }
    
    i {
        font-size: 0;
        line-height: 0;
        width: 16px;
        height: 16px;
        cursor: pointer;
        margin-left: 5px;
        position: relative;
        display: inline-block;

        &::after,
        &::before {
            top: 50%;
            left: 50%;
            content: '';
            width: 16px;
            height: 1px;
            display: block;
            position: absolute;
            background: #202C2C;
            margin: -1px 0 0 -6px;
        }
        
        &::after {
            @include rotate(45deg);
        }
        
        &::before {
            @include rotate(-45deg);
        }
    }
}

.metro {
    height: 100%;
    overflow: hidden;
    position: relative;

    &__header {
        top: 25px;
        left: 30px;
        right: 30px;
        z-index: 200;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: space-between;

        &--item {
           
            &:nth-child(1) {
                width: calc(30% - 12px);
            }

            &:nth-child(2) {
                width: calc(70% - 12px);
            }
        }
    }

    &__scale {
        top: 50%;
        right: 40px;
        z-index: 300;
        margin-top: -80px;
        position: absolute;

        &--button {
            width: 50px;
            height: 50px;
            margin: 20px 0;
            display: block;
            cursor: pointer;
            position: relative;
            border-radius: 50%;
            background: rgba(255, 255, 255, 0.9);
            border: 1px solid rgba(0, 0, 0, 0.08);
            box-shadow: 0px 6px 8px rgba(0, 0, 0, 0.04);
            @include transition(.3s);

            &::after,
            &::before {
                top: 50%;
                left: 50%;
                z-index: 10;
                content: '';
                width: 20px;
                height: 2px;
                background: #000;
                position: absolute;
                display: inline-block;
                margin: -1px 0 0 -10px;
            }

            &.scale-plus {

                &::before {
                    @include rotate(90deg);
                }
            }

            &:hover {
                border-color: rgba(0, 0, 0, 0.3);
                @include transition(.3s);
            }

            &:active {
                border-color: rgba(0, 0, 0, 0.8);
            }
        }
    }

    &__main {
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 1;
        padding-top: 40px;
        position: absolute;
    }

    &__map {
        width: 100%;

        svg {
            height: auto;
            display: block;
            max-width: 100%;
        }
    }

    &__footer {
        z-index: 200;
        right: 40px;
        bottom: 20px;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }

    &__source {
        margin: 0 auto;

        svg {
            width: 100%;
            display: block;
            height: auto;
        }
    }
}

.metro-line-num {
	cursor: pointer;
	transition: .3s;

	&:hover {
		opacity: 0.5;
		transition: .3s;
	}
}

.metro-station {
	cursor: pointer;

	&__bg {
		fill: rgba(255,255,255,0.8);
		transition: .3s;
	}

	&__text {
		fill: #222D2F;
		transition: .3s;
	}

	&__point {
		transition: .3s;
	}

	&__point-1 {
		fill: #F05F54;
		stroke: #ffffff;
	}

	&__point-2 {
		fill: #63D1F2;
		stroke: #ffffff;
	}

	&__point-3 {
		fill: #3CA143;
		stroke: #ffffff;
	}

	&__point-4 {
		fill: #F09041;
		stroke: #ffffff;
	}

	&__point-5  {
		fill: #C582D1;
		stroke: #ffffff;
	}

	&.hover,
	&:hover {

		.metro-station__bg {
		
		}

		.metro-station__text {
			fill: #3368CC;
			transition: .3s;
		}

		.metro-station__point-1,
		.metro-station__point-2,
		.metro-station__point-3,
		.metro-station__point-4,
		.metro-station__point-5 {
			transition: .3s;
			fill: #fff;
			stroke: #3368CC;
		}
	}

	&.checked {

		.metro-station__bg {
			fill: #3368CC;
		}

		.metro-station__text {
			fill: #fff;
			transition: .3s;
		}
		
		.metro-station__point-1,
		.metro-station__point-2,
		.metro-station__point-3,
		.metro-station__point-4,
		.metro-station__point-5 {
			transition: .3s;
			fill: #fff;
			stroke: #3368CC;
		}
	}
}

.main-select {
    font-size: 0;
    line-height: 0;
    position: relative;

    &__button {
        height: 50px;
        cursor: pointer;
        font-size: font-size-rel(16px);
        line-height: font-size-rel(20px);
        position: relative;
        border-radius: 8px;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
        padding: 14px 45px 14px 20px;
        display: flex;
        align-items: center;
        background: rgba(255, 255, 255, 0.9);
        border: 1px solid rgba(0, 0, 0, 0.08);
        box-shadow: 0px 6px 8px rgba(0, 0, 0, 0.04);
        transition: .3s;

        i {
            z-index: 10;
            width: 12px;
            height: 12px;
            display: block;
            font-size: 0;
            line-height: 0;
            margin-right: 10px;
            position: relative;
        }

        span {
            display: inline-block;
        }

        &::before {
            top: 50%;
            right: 20px;
            content: '';
            width: 20px;
            height: 20px;
            font-size: 0;
            line-height: 0;
            margin-top: -10px;
            position: absolute;
            display: inline-block;
            background: url('../img/icon__select.svg') 50% 50% no-repeat;
        }
    }

    &__dropdown {
        left: 0;
        opacity: 0;
        z-index: -1;
        visibility: hidden;
        min-width: 100%;
        overflow: hidden;
        background: #fff;
        top: calc(100% + 5px);
        display: block;
        position: absolute;
        border-radius: 8px;
        border: 1px solid rgba(0, 0, 0, 0.08);
        box-shadow: 0px 6px 8px rgba(0, 0, 0, 0.04);
    }

    &__item {
        height: 50px;
        display: flex;
        cursor: pointer;
        color: #222D2F;
        font-size: font-size-rel(16px);
        line-height: font-size-rel(20px);
        position: relative;
        align-items: center;
        padding: 10px 40px 10px 20px;
        border-bottom: 1px solid #EFEFEF;

        &:hover {
            background: #FAFBFC;
        }

        &::before {
            top: 50%;
            right: 20px;
            content: '';
            width: 20px;
            height: 20px;
            z-index: 10;
            opacity: 0;
            visibility: hidden;
            margin-top: -10px;
            position: absolute;
            background: url('../img/icon__check.svg') 50% 50% no-repeat;
        }

        i {
            z-index: 10;
            width: 12px;
            height: 12px;
            display: block;
            font-size: 0;
            line-height: 0;
            margin-right: 10px;
            position: relative;
        }

        span {
            display: inline-block;
        }

        &.selected {

            &:before {
                opacity: 1;
                visibility: visible;
            }
        }

        &:last-child {
            border-bottom: none;
        }
    }

    &:hover {

        .main-select__button {
            border-color: rgba(0, 0, 0, 0.18);
            transition: .3s;
        }
    }

    &.open {

        .main-select__button {
            border-color: $color-blue;

            &:before {
                @include rotate(180deg);
            }
        }

        .main-select__dropdown {
            opacity: 1;
            visibility: visible;
        }
    }
}


.filter-mobile-toggle {
    margin-bottom: 30px;
    display: flex;
    justify-content: center;

    .btn {
        width: 100%;
        max-width: 400px;
    }

    @media (min-width: $screen-lg-min) {
        display: none;
    }
}

.filter-mobile {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
    display: none;
    z-index: 1500;
    position: fixed;
    overflow-y: auto;
    padding: 20px 15px;
    background: #fff;
    visibility: hidden;
    box-shadow: 0 6px 8px rgba(0,0,0,.04);

    &.open {
        opacity: 1;
        display: block;
        visibility: visible;
    }

    &__main {
        padding-bottom: 110px;
    }

    &__group {
        margin-bottom: 20px;
    }

    &__title {
        font-weight: 700;
        font-size: font-size-rel(15px);
        line-height: 165%;
        margin-bottom: 10px;
    }

    &__item {
        margin-bottom: 15px;
    }

    &__footer {
        left: 15px;
        right: 15px;
        bottom: 5px;
        z-index: 1200;
        position: fixed;

        &--button {
            padding-bottom: 10px;

            .btn {
                width: 100%;
            }
        }
    }

    @media (min-width: 360px) {
        padding: 20px 20px;

        &__footer {

        }
    }

    @media (min-width: 567px) {

        &__main {
            padding-bottom: 50px;
        }

        &__footer {
            display: flex;
            justify-content: space-between;

            &--button {
                width: calc(50% - 10px);
            }
        }
    }

    @media (min-width: $screen-lg-min) {
        display: none;
    }
}

.filter-actions {
    margin-bottom: 20px;

    @media (min-width: $screen-lg-min) {
        display: none;
    }
}

.mobile-sort {
    display: block;
    margin: 0 -20px;
    padding: 9px 20px;
    color: #222D2F;
    font-size: font-size-rel(12px);
    line-height: font-size-rel(20px);
    text-align: center;
    padding-right: 19px;
    text-decoration: none;
    background: #FCFCFC;
    border: 1px solid rgba(34, 45, 47, 0.08);

    &:hover {
        color: #222D2F;
        text-decoration: none;
    }

    span {
        position: relative;
        padding-right: 19px;
        display: inline-block;

        &::before {
            top: 50%;
            right: 0;
            z-index: 5;
            width: 9px;
            content: '';
            height: 18px;
            margin-top: -9px;
            position: absolute;
            background: url('../img/icon__sort.svg') 50% 50% no-repeat;
        }

        &::after {
            top: 50%;
            right: 0;
            width: 9px;
            z-index: 5;
            content: '';
            height: 18px;
            opacity: 0;
            visibility: hidden;
            margin-top: -9px;
            position: absolute;
            background: url('../img/icon__sort_active.svg') 50% 50% no-repeat;
        }
    }

    &.active {

        span {

            &::before {
                opacity: 0;
                visibility: hidden;
            }

            &::after {
                opacity: 1;
                visibility: visible;
            }
        }

        &.invert {

            span {

                &::after {
                    @include rotate(180deg);
                }
            }
        }
    }

    @media (min-width: $screen-lg-min) {
        display: none;
    }
}

.filter-group {
    margin: 0;
    padding: 0;
    list-style: none;
    display: flex;
    border-radius: 4px;
    align-items: center;
    justify-content: space-between;
    border: 1px solid rgba(0, 0, 0, 0.08);

    li {
        flex-grow: 1;
        padding: 2px;
        position: relative;

        &::before {
            left: 0;
            top: 50%;
            content: '';
            width: 1px;
            height: 20px;
            display: block;
            margin-top: -10px;
            position: absolute;
            background: rgba(0, 0, 0, 0.08);
        }

        &:first-child {

            &::before {
                display: none;
            }
        }
    }

    label {
        width: 100%;
        font-size: 0;
        line-height: 0;
        font-weight: 400;
        display: block;
        position: relative;

        input {
            top: 0;
            left: 0;
            opacity: 0;
            width: 1px;
            height: 1px;
            position: absolute;
            visibility: hidden;
        }

        span {
            padding: 10px;
            display: block;
            cursor: pointer;
            color: #202C2C;
            font-size: font-size-rel(12px);
            line-height: font-size-rel(15px);
            text-align: center;
            border-radius: 2px;
        }


        input:checked + span {
            color: #fff;
            background: $color-blue;
        }
    }

    @media (min-width: $screen-lg-min) {

        label {

            span {
                font-size: font-size-rel(16px);
                line-height: font-size-rel(20px);
                padding: 12px;
            }
        }
    }
}

.filter-switch {
    width: 100%;
    font-size: 0;
    line-height: 0;
    padding: 10px 5px;
    cursor: pointer;
    font-weight: 400;
    position: relative;
    display: inline-block;

    input {
        top: 0;
        left: 0;
        opacity: 0;
        width: 1px;
        height: 1px;
        position: absolute;
        visibility: hidden;
    }

    span {
        display: inline-block;
        font-size: font-size-rel(12px);
        line-height: font-size-rel(20px);
        position: relative;
        text-align: center;
        padding-left: 45px;
        color: rgba(32, 44, 44, 0.5);

        &::before {
            left: 0;
            top: 50%;
            z-index: 1;
            content: '';
            width: 34px;
            height: 14px;
            display: block;
            margin-top: -7px;
            position: absolute;
            border-radius: 7px;
            background: #F0F2F7;
        }

        &::after {
            top: 50%;
            left: -3px;
            z-index: 5;
            content: '';
            width: 20px;
            height: 20px;
            display: block;
            margin-top: -10px;
            position: absolute;
            border-radius: 50%;
            background: #fff;
            border: 1px solid rgba(51, 104, 204, 0.04);
            box-shadow: 0px 3px 8px rgba(51, 104, 204, 0.15), 0px 1px 1px rgba(51, 104, 204, 0.16);
            transition: .3s;
        }
    }

    input:checked + span {
        color: #222D2F;

        &:after {
            left: 17px;
            background: $color-blue;
            transition: .3s;
        }
    }

    @media (min-width: $screen-lg-min) {

        span {
            font-size: font-size-rel(16px);
        }
    }
}

.filter-range {
    height: 50px;
    display: flex;
    padding: 0 15px;
    font-size: font-size-rel(12px);
    line-height: font-size-rel(20px);
    border-radius: 4px;
    align-items: center;
    border: 1px solid rgba(0, 0, 0, 0.08);

    &__divider {
        width: 20px;
        text-align: center;
        display: inline-block;
        flex-shrink: 0;
    }

    &__field {
        width: calc(50% - 10px);
        display: flex;
        align-items: center;
        flex-grow: 1;


        &.completed {

            .filter-range__clean {
                opacity: 1;
                visibility: visible;
            }
        }
    }

    &__item {
        flex-grow: 1;
    }

    &__legend {
        padding-left: 5px;
        white-space: normal;
        display: inline-block;
        flex-shrink: 0;
        color: #222D2F;
    }

    &__input {
        padding: 9px 0;
        width: 100%;
        border: none;
        height: 48px;
        outline: none;
        max-width: 100%;
        display: block;
        max-width: 100%;
        overflow: hidden;
        font-size: font-size-rel(12px);
        line-height: font-size-rel(20px);
        color: #202C2C;
        background: transparent;
        @include placeholder(rgba(32, 44, 44, 0.7));

        &:focus {
            @include placeholder(transparent);
        }
    }

    &__clean {
        opacity: 0;
        visibility: hidden;
        width: 15px;
        height: 15px;
        flex-shrink: 0;
        cursor: pointer;
        font-size: 0;
        line-height: 0;
        margin: 0 10px 0 5px;
        display: inline-block;
        background: url('../img/filter_field_clean.svg') 50% 50% no-repeat
    }

    &.focus {
        border-color:$color-blue;
    }

    @media (min-width: $screen-lg-min) {
        font-size: font-size-rel(16px);

        &__input {
            font-size: font-size-rel(16px);
        }
    }
}

.filter-list {
    padding: 0;
    font-size: 0;
    line-height: 0;
    margin: 0 -5px;
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    align-items: center;

    li {
        padding: 0 5px;
        margin-bottom: 10px;
    }

    @media (min-width: $screen-lg-min) {

        li {
            padding: 5px;
            margin-bottom: 0;
        }
    }

}

.filter-checkbox {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    display: block;
    position: relative;

    input {
        top: 0;
        left: 0;
        opacity: 0;
        width: 1px;
        height: 1px;
        position: absolute;
        visibility: hidden;
    }

    span {
        display: block;
        cursor: pointer;
        color: #202C2C;
        font-size: font-size-rel(12px);
        line-height: font-size-rel(20px);
        position: relative;
        padding: 10px 13px;
        border-radius: 20px;
        background: #F0F2F7;
        transition: .3s;
    }

    input:checked + span {
        color: #fff;
        background: $color-blue;

        //	padding-right: 35px;
        transition: .3s;
    }

    @media (min-width: $screen-lg-min) {

        span {
            font-size: font-size-rel(16px);
            padding: 10px 20px;
        }
    }

}

.filter-button {
    outline: none;
    cursor: pointer;
    color: $color-blue;
    font-size: font-size-rel(14px);
    line-height: font-size-rel(20px);
    position: relative;
    padding: 9px 12px;
    border-radius: 20px;
    display: inline-block;
    background: #fff;
    text-decoration: none;
    border: 1px solid $color-blue;
    transition: .3s;

    &:hover {
        color: #fff;
        background: $color-blue;
    }
}

.form-select {
    margin: 0;
    z-index: 5;
    width: 100%;
    height: 50px;
    border: none;
    outline: none;
    color: #202C2C;
    box-shadow: none;
    font-weight: 400;
    font-size: font-size-rel(16px);
    line-height: font-size-rel(20px);
    border-radius: 4px;
    position: relative;
    background: #fff url('../img/icon__select.svg') 97% 50% no-repeat;
    display: block;
    vertical-align: middle;
    padding: 14px 40px 14px 15px;
    border: 1px solid rgba(0, 0, 0, 0.08);
    transition: .3s;
    @include placeholder(rgba(32, 44, 44, 0.7));

    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;

    &::-ms-clear {
        display: none;
        width: 0;
        height: 0;
    }

    &:focus,
    &:active {
        outline: none;
        border-color: $color-blue;
        @include placeholder(transparent);
        transition: .3s;
    }
}

.filter {
    margin-bottom: 60px;
    display: none;

    &__primary {
        margin: 0 -12px;
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    &__item {
        padding: 0 12px;
        margin-bottom: 25px;

        &--room {
            width: 450px;
            flex-shrink: 0;
        }

        &--finish {
            width: calc(100% - 950px);
            flex-shrink: 0;
        }

        &--range {
            width: 500px;
            flex-shrink: 0;
        }

        &--completion {
            width: 450px;
            flex-shrink: 0;
        }

        &--grade {
            width: calc(100% - 950px);
            flex-shrink: 0;
        }

        &--search {
            width: 500px;
            flex-shrink: 0;
        }
    }

    &__action {
        display: flex;
        align-items: center;

        &--item {
            padding: 0 10px;
        }
    }

    &__footer {
        margin:  0 -10px;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__second {
        display: none;
        padding-bottom: 15px;
        margin-bottom: 20px;
        border-bottom: 1px solid rgba(0, 0, 0, 0.08);
    }

    &__group {
        margin-bottom: 25px;

        &--title {
            color: #222D2F;
            font-weight: 700;
            font-size: font-size-rel(21px);
            line-height: 120%;
            margin-bottom: 25px;
        }

        &--item {
            min-height: 40px;
            display: flex;
            align-items: center;
            margin-bottom: 25px;
        }

        &--label {
            width: 175px;
            color: #222D2F;
            flex-shrink: 0;
            font-size: font-size-rel(17px);
            line-height: 120%;
        }

        &--sm {
            width: 330px;
        }

        &--row {
            margin: 0 -10px;
            display: flex;
            align-items: center;
            flex-wrap: wrap;
        }

        &--column {
            padding: 0 10px;
        }

        &--md {
            width: 240px;
        }
    }

    &__tags {
        padding-right: 60px;
        font-size: font-size-rel(14px);
        line-height: font-size-rel(20px);
        margin-bottom: 25px;
        position: relative;

        .swiper-slide {
            width: auto;
        }

        &--nav {
            top: 50%;
            right: 0;
            z-index: 10;
            width: 40px;
            height: 20px;
            font-size: 0;
            line-height: 0;
            margin-top: -10px;
            position: absolute;
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &--button {
            width: 10px;
            height: 20px;
            border: none;
            outline: none;
            cursor: pointer;
            position: relative;
            display: inline-block;

            i {
                top: 50%;
                left: 50%;
                width: 8px;
                height: 12px;
                position: absolute;
                display: inline-block;
                margin: -6px 0 0 -4px;
            }

            svg {
                fill: $color-blue;
            }

            &:hover {

                svg {
                    fill: $color-gray;
                }
            }
        }
    }


    @media (min-width: $screen-lg-min) {
        display: block;
    }

    @media (min-width: $screen-xl-min) {

        &--range {
            width: 600px;
        }

        &--finish {
            width: calc(100% - 1050px);
        }

        &--grade {
            width: calc(100% - 1050px);
        }

        &--search {
            width: 600px;
        }
    }
}

.filter-tag {
    color: $color-gray;
    white-space: nowrap;
    text-decoration: none;

    &:hover {
        color: $color-blue;
        text-decoration: none;
    }
}

.filter-choice {
    margin: 0;
    padding: 0;
    border: none;
    outline: none;
    font-weight: 500;
    font-size: font-size-rel(16px);
    line-height: font-size-rel(20px);
    color: $color-blue;
    cursor: pointer;
    background: transparent;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;

    svg {
        fill: $color-blue;
    }

    &:hover {
        color: #222D2F;

        svg {
            fill: #222D2F;
        }
    }

    i {
        width: 20px;
        height: 20px;
        font-size: 0;
        line-height: 0;
        display: block;
        margin-left: 5px;
        opacity: 0;
        visibility: hidden;
    }

    span {
        display: block;
    }

    &.selected {
        color: $color-base;

        svg {
            fill: $color-base;
        }

        i {
            opacity: 1;
            visibility: visible;
        }
    }
}

.filter-toggle {

    &.open {

        b {
            @include rotate(180deg);
        }
    }
}

.filter-modal {
    width: 100%;
    padding: 20px 0 50px 0;
    max-width: 400px;
    background: #fff;
    border-radius: 4px;

    &__list {
        margin: 0;
        padding: 20px;
        list-style: none;
        font-size: font-size-rel(14px);
        line-height: font-size-rel(20px);
        color: #222D2F;

        li {
            height: 50px;
            cursor: pointer;
            position: relative;
            background: #fff;
            display: flex;
            align-items: center;
            border-bottom: 1px solid #EFEFEF;

            i {
                z-index: 10;
                width: 12px;
                height: 12px;
                display: block;
                position: relative;
                font-size: 0;
                line-height: 0;
                margin-right: 10px;
            }

            span {
                z-index: 10;
                display: block;
                position: relative;
                white-space: nowrap;
            }

            &::before {
                top: 50%;
                right: 10px;
                content: '';
                width: 20px;
                height: 20px;
                z-index: 10;
                opacity: 0;
                visibility: hidden;
                margin-top: -10px;
                position: absolute;
                background: url('../img/icon__check.svg') 50% 50% no-repeat;
            }

            &.selected {
                background: #FAFBFC;

                &::after {
                    z-index: 1;
                    top: -1px;
                    bottom: -1px;
                    left: -20px;
                    right: -20px;
                    content: '';
                    display: block;
                    position: absolute;
                    background: #FAFBFC;
                    border-top: 1px solid #EFEFEF;
                    border-bottom: 1px solid #EFEFEF;
                }

                &::before {
                    opacity: 1;
                    visibility: visible;
                }
            }
        }
    }

    &__button {
        left: 20px;
        right: 20px;
        bottom: 15px;
        z-index: 100;
        position: fixed;
        text-align: center;

        .btn {
            width: 100%;
            max-width: 360px;
        }
    }

    @media (min-width: $screen-sm-min) {
        width: 100%;
        max-width: 768px;

        &__list {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;

            li {
                width: calc(33.33% - 20px);
            }
        }
    }
}

.filter-sm {
    display: block;
    padding-bottom: 20px;

    &__base {
        display: block;
    }

    &__advance {
        display: none;
    }

    &__footer {

        &--view {
            display: flex;
            margin-bottom: 40px;
        }

        .btn {
            width: 100%;
        }
    }

    @media (min-width: $screen-sm-min) {
        margin-bottom: 50px;
    }

    @media (min-width: $screen-lg-min) {
        display: none;
    }
}